ERRLOG=/var/log/bootcd2disk.log

# To define the disk that will be newly partitioned before copying the cd to it
#   DISK="/dev/hda"
# If you don't want do partition any disk
#   DISK=""
# If you want bootcd2disk to find a disk (bootcd tries to use the first disk)
DISK="auto"

# If you don't want to repartition anything use:
#   SFDISK=""
# If you want to specify yourself: see man sfdisk
#   SFDISK="
#   ,50
#   ,100,S
#   ;
#   "
# If you want to do it automatically. There will be 3 partitions
# /boot, swap and /. /boot is created first to be sure the bios can load
# the kernel also on very large disks.
SFDISK="auto"

# If you don't want to run mke2fs use:
#   EXT2FS=""
# If you want to specify partitions for mke2fs:
#   EXT2FS="/dev/hda1 /dev/hda3"
# If you want to automatically use mke2fs:
EXT2FS="auto"

# If you don't want to run mkswap use:
#   SWAP=""
# If you want to specify partitions for mkswap:
#   SWAP="/dev/hda2"
# If you want to automatically use mke2fs:
SWAP="auto"

# If you don't want to mount anything, before copying the cd to /mnt
#   MOUNT=""
#   UMOUNT=""
# If you want to mount everything yourself:
#   MOUNT="mount /dev/hda3 /mnt; mkdir /mnt/boot; mount /dev/hda1 /mnt/boot"
#   UMOUNT="umount /mnt/boot; umount /mnt"
# If you want to automatically mount:
MOUNT="auto"
UMOUNT="auto"

# If you don't want to change the /etc/fstab copied form cd:
#   FSTAB=""
# If You want to define it yourself:
#   FSTAB="
#   /dev/sda1 /boot ext2 defaults 0 1
#   /dev/sda2 none  swap sw 0 0
#   /dev/sda3 /     ext2 defaults,errors=remount-ro 0 1
#   proc      /proc proc defaults 0 0
#   "
# If You want to do it automatically:
FSTAB="auto"

# If you don't want to change the /etc/lilo.conf copied from cd:
#   LILO=""
# If you want to define it yourself:
#   LILO="
#   boot=$DISK
#   delay=20
#   vga=0
#   image=/vmlinuz
#   root=${DISK}3
#   label=Linux
#   read-only
#   "
# If You want to do it automatically:
LILO="auto"

# IF you only want to copy the cd to an already existing Partition /dev/hda2
# You can now specify:
#   DISK=""; SFDISK=""; SWAP=""; FSTAB=""; LILO=""
#   EXTFS2="/dev/hda2"
#   MOUNT="mount /dev/hda2 /mnt"

# SSHOSTKEY=yes|no
# If you are using ssh it is helpfull to have a unique ssh hostkey for
# each PC installed with bootcd2disk. This will be generated with 
#   SSHHOSTKEY="yes"
SSHHOSTKEY=yes
